﻿
namespace FileZillaConfig.ConfigClasses
{
    public class Logging
    {
        private bool _enabled;
        private int _sizeLimit;
        private LoggingType _type;
        private int _deleteOldAfter;

        /// <summary>
        /// Delete old log files after (days)
        /// </summary>
        public int DeleteOldFilesAfter
        {
            get { return _deleteOldAfter; }
            set { _deleteOldAfter = value; }
        }


        /// <summary>
        /// Log all to FileZilla server.log or use different log file each day
        /// </summary>
        public LoggingType FileType
        {
            get { return _type; }
            set { _type = value; }
        }


        /// <summary>
        /// Limit log file size to
        /// </summary>
        public int SizeLimit
        {
            get { return _sizeLimit; }
            set { _sizeLimit = value; }
        }


        /// <summary>
        /// Enable logging to file
        /// </summary>
        public bool Enabled
        {
            get { return _enabled; }
            set { _enabled = value; }
        }

    }
}
