﻿
namespace FileZillaConfig.ConfigClasses
{
    public class Misc
    {
        private bool _showPassInLog;
        private int _internalBufferSize = 32768;
        private int _socketBuffer = 65536;
        private bool _allowSharedWrite;
        private bool _ignoreUnroutable = true;

        /// <summary>
        /// Ignore unroutable IPs on PORT command if remote address is routable
        /// </summary>
        public bool IgnoreUnroutableIP
        {
            get { return _ignoreUnroutable; }
            set { _ignoreUnroutable = value; }
        }


        /// <summary>
        /// Allow downloading of files which are open for writing
        /// </summary>
        public bool AllowSharedWrite
        {
            get { return _allowSharedWrite; }
            set { _allowSharedWrite = value; }
        }


        /// <summary>
        /// Socket buffer size
        /// </summary>
        public int SocketBufferSize
        {
            get { return _socketBuffer; }
            set { _socketBuffer = value; }
        }


        /// <summary>
        /// Internal transfer buffer size
        /// </summary>
        public int InternalBufferSize
        {
            get { return _internalBufferSize; }
            set { _internalBufferSize = value; }
        }


        /// <summary>
        /// Show password in message log
        /// </summary>
        public bool ShowPassInLog
        {
            get { return _showPassInLog; }
            set { _showPassInLog = value; }
        }

    }
}
