﻿
namespace FileZillaConfig.ConfigClasses
{
    public class Security
    {
        private bool _allowIncoming;
        private bool _allowOutgoing;
        private bool _inStrictIP;
        private bool _outStrictIP;

        /// <summary>
        /// Strict IP filter for outgoing transfer
        /// </summary>
        public bool StrictIPFilterOutgoing
        {
            get { return _outStrictIP; }
            set { _outStrictIP = value; }
        }


        /// <summary>
        /// Strict IP filter for incoming transfer
        /// </summary>
        public bool StrictIPFilterIncoming
        {
            get { return _inStrictIP; }
            set { _inStrictIP = value; }
        }


        /// <summary>
        /// Allow outgoing server-to-server transfer
        /// </summary>
        public bool AllowOutgoing
        {
            get { return _allowOutgoing; }
            set { _allowOutgoing = value; }
        }


        /// <summary>
        /// Allow incoming server-to-server transfer
        /// </summary>
        public bool AllowIncoming
        {
            get { return _allowIncoming; }
            set { _allowIncoming = value; }
        }

    }
}
