﻿using System;

namespace FileZillaConfig.Types
{
    public class LimitCriteria
    {
        private WeekDays _daysOfWeek;
        private TimeSpan _fromTime;
        private TimeSpan _toTime;
        private int _speed = 8;
        private DateTime _date;

        /// <summary>
        /// Date of limit (time will be ignored)
        /// </summary>
        public DateTime Date
        {
            get { return _date; }
            set { _date = value; }
        }


        /// <summary>
        /// Speed limit in kB/s
        /// </summary>
        public int Speed
        {
            get { return _speed; }
            set { _speed = value; }
        }


        /// <summary>
        /// To Time
        /// </summary>
        public TimeSpan ToTime
        {
            get { return _toTime; }
            set { _toTime = value; }
        }


        /// <summary>
        /// From time
        /// </summary>
        public TimeSpan FromTime
        {
            get { return _fromTime; }
            set { _fromTime = value; }
        }

        /// <summary>
        /// Days of week
        /// </summary>
        public WeekDays WeekDays
        {
            get { return _daysOfWeek; }
            set { _daysOfWeek = value; }
        }

    }
}
